
FORMAT: 1A
HOST: http://api.sobhe.ir

# Parde

Parde recognizes unsafe images.

For using Parde API you need a TOKEN_KEY, if you don't have one,
please contact parde@sobhe.ir.


## Process Images [/parde/api/tag_images]

### Request [POST]

You may ask tags of some images using this action. Image tags is a list of objects with image urls, list of tag which contains tag name and a float number between 0 and 1 that shows probability of belonging image to class.

Asking tags of multiple images in one request results in better
performance.

+ Request (application/json)

    + Headers
       
            Authorization: Token TOKEN_KEY
    
    + Attributes

        - image_urls: URL (array[string], required) - List of image URLs
 
    + Body

            {
                "image_urls": [
                    "http://www.sobhe.ir/baaz/img/goshawk.jpg"
                ]
            }

+ Response 200 (application/json)

        [{"image_url":"http://www.sobhe.ir/baaz/img/goshawk.jpg","tags":[]}]


## Video Keyframes [/parde/api/tag_video_frames]

You can ask tags of video frames using this action. It response with a list of video frames and corresponding tags.

### Request [POST]

+ Request (application/json)

    + Headers

            Authorization: Token TOKEN_KEY

    + Attributes

        - video_urls: URL (array[string], required) - List of video URLs
        - every_ms: 100 (number) - distance of two extracted frames in miliseconds
        - min_frame_diff: 0.4 (number) - The minimum value of the difference between two frames which are considered different.
        - duration: 25 (number) - The portion in seconds from start of video which will be processed. if is Null, Whole video will be processed.
        - wait: true (boolean) - If true, the video process would be asynchronous and during the video processing, the API responds with the state of the process [Pending or started] and on the first request, after the process is finished, it will respond with the results.

            {
                video_urls: ["https://hajifirouz6.cdn.asset.aparat.cloud/aparat-video/2a6a6ecede3579f0f58bd99d37cfa9ef42917772-240p.mp4"],
                every_ms: 200, 
                duration: 36000, 
                min_frame_diff: 0.5
            }

+ Response 200 (application/json)

        [{"video_url":"https://hajifirouz6.cdn.asset.aparat.cloud/aparat-video/2a6a6ecede3579f0f58bd99d37cfa9ef42917772-240p.mp4","frames":[{"frame":6,"time":"0:00:00","tags":[]},{"frame":31,"time":"0:00:01","tags":[]},{"frame":36,"time":"0:00:01","tags":[]},...,{"frame":475,"time":"0:00:18","tags":[{"id":86141,"probability":0.32,"title":"خشونت"}]},{"frame":560,"time":"0:00:22","tags":[]},...]}]
